summaryrefslogtreecommitdiffstats
path: root/system/install-service.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'system/install-service.sh.in')
-rwxr-xr-xsystem/install-service.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/system/install-service.sh.in b/system/install-service.sh.in
index ecaf931ff4..28bce124c8 100755
--- a/system/install-service.sh.in
+++ b/system/install-service.sh.in
@@ -113,7 +113,7 @@ install_generic_service() {
ENABLE="enable"
fi
- if ! install -p -m 0755 -o 0 -g 0 "${SVC_SOURCE}/netdata-${svc_type}" /etc/init.d/netdata; then
+ if ! install -p -m 0755 -o 0 -g 0 "${SVC_SOURCE}/netdata-${svc_type}" "${svc_file}"; then
error "Failed to install service file."
exit 4
fi